'***************************************************************************
'*    SSP  Front End control and datalogger                                *
'*    OPTEC, Inc.                                                          *
'*                                                                         *
'*    DELAY.BAS - program from QuickBasic Programmer's Toolkit, pg. 441.   *
'*      Pauses execution of a program for a specified period. DelayTime!   *
'*      is time to delay in seconds.                                       *
'*                                                                         *
'*    Revision History:                                                    *
'*                                                                         *
'*                                                                         *
'*                                                                         *
'*                                                                         *
'***************************************************************************


DECLARE SUB Delay (DelayTime!)

'

'*********************************************************************
'*   Delay uses the TIMER function to time delays of less than 1 second
'*   and takes into acount the possiblity of a new day.
'*
'*
'*********************************************************************
'
SUB Delay (DelayTime!)
   Start! = TIMER
   DO
      Now! = TIMER
      IF Now! < Start! THEN Now! = Now! + 86400
   LOOP UNTIL (Now! - Start!) >= DelayTime!
END SUB '

